> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get List of Units >
Enterprise
Permission required: `manage-livechat-units` ## OpenAPI ````json GET /api/v1/livechat/units { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/units": { "get": { "summary": "Get List of Units", "tags": [ "Omnichannel Units" ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "units": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "visibility": { "type": "string" }, "type": { "type": "string" }, "numMonitors": { "type": "integer" }, "numDepartments": { "type": "integer" }, "_updatedAt": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "units": [ { "_id": "SB3Z7uuEvd3aKPjnE", "name": "12345", "visibility": "public", "type": "u", "numMonitors": 3, "numDepartments": 3, "_updatedAt": "2022-09-15T14:55:32.338Z" }, { "_id": "uiPBkzcau5hrWwBkG", "name": "C", "visibility": "public", "type": "u", "numMonitors": 1, "numDepartments": 3, "_updatedAt": "2022-08-29T20:18:07.442Z" }, { "_id": "jsNuTwygAAWFPkt8u", "name": "Mtest", "visibility": "public", "type": "u", "numMonitors": 1, "numDepartments": 1, "_updatedAt": "2022-09-15T11:44:32.103Z" }, { "_id": "LnM2rzbknjYSkkd5p", "name": "Sales Unit", "visibility": "public", "type": "u", "numMonitors": 1, "numDepartments": 2, "_updatedAt": "2022-09-15T11:44:15.721Z" }, { "_id": "y6TXZeTzn4mAxDhL2", "name": "TestDept1", "visibility": "public", "type": "u", "numMonitors": 4, "numDepartments": 1, "_updatedAt": "2022-08-30T09:55:19.24Z" }, { "_id": "xiAnkznAh4RSJ8DQT", "name": "abc", "visibility": "public", "type": "u", "numMonitors": 1, "numDepartments": 3, "_updatedAt": "2023-01-03T10:19:58.219Z" }, { "_id": "TGjc7wN84KxQup9cF", "name": "business unit test", "visibility": "public", "type": "u", "numMonitors": 3, "numDepartments": 1, "_updatedAt": "2022-11-21T11:16:01.698Z" } ], "count": 7, "offset": 0, "total": 7, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } }, "operationId": "get-api-v1-livechat-units", "description": "
\"Enterprise\"
\n\nPermission required: `manage-livechat-units`", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "string" }, "in": "query", "name": "text", "description": "Enter some text to filter the results." }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/sort" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": false, "error": "unauthorized" } } } } } } }, "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "required": false, "schema": { "type": "integer" }, "example": 50, "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." }, "count": { "name": "count", "in": "query", "required": false, "schema": { "type": "integer" }, "example": 25, "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." }, "sort": { "name": "sort", "in": "query", "required": false, "schema": { "format": "object" }, "description": "List of fields to order by, and in which direction. JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, sort = `{\"value\": -1, \"_id\": 1}`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." } } } } ````